package models

import "gogs.mikescher.com/BlackForestBytes/goext/rfctime"

type CrawlerExecution struct {
	CrawlerExecutionID CrawlerExecutionID      `json:"id"           bson:"_id,omitempty"`
	CreationTime       rfctime.RFC3339NanoTime `json:"creationTime" bson:"creationTime"`
	CrawlerID          CrawlerID               `json:"crawlerID"    bson:"crawlerID"`
	StartTime          rfctime.RFC3339NanoTime `json:"startTime"    bson:"startTime"`
	EndTime            rfctime.RFC3339NanoTime `json:"endTime"      bson:"endTime"`
	Error              *string                 `json:"error"        bson:"error"`
	Changes            int                     `json:"changes"      bson:"changes"`
}
